<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_E5E5E5">


    <ImageView
        android:id="@+id/iv_banner"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="@dimen/convert_43px"
            android:layout_height="@dimen/convert_60px"
            android:layout_marginStart="@dimen/convert_30px"
            android:layout_marginTop="@dimen/convert_20px"
            android:padding="@dimen/convert_10px"
            android:src="@drawable/ic_white_back" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_mode_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/convert_38px"
            android:gravity="center"
            android:textColor="@color/color_fff"
            android:textSize="@dimen/convert_36px" />



        <ImageView
            android:id="@+id/iv_weight"
            android:layout_width="@dimen/convert_60px"
            android:layout_height="@dimen/convert_60px"
            android:layout_marginTop="@dimen/convert_28px"
            android:layout_marginEnd="@dimen/convert_50px"
            android:layout_alignParentEnd="true"
            android:background="@drawable/ic_scales" />

        <ImageView
            android:id="@+id/iv_turbo"
            android:layout_width="@dimen/convert_60px"
            android:layout_height="@dimen/convert_60px"
            android:layout_marginTop="@dimen/convert_28px"
            android:layout_marginEnd="@dimen/convert_40px"
            android:layout_toStartOf="@id/iv_weight"
            android:background="@drawable/ic_turbo" />



    </RelativeLayout>


    <androidx.constraintlayout.widget.ConstraintLayout

        android:id="@+id/function_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingHorizontal="@dimen/convert_44px">


        <androidx.constraintlayout.widget.ConstraintLayout
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="@dimen/convert_400px"
            android:layout_height="@dimen/convert_270px"
            app:layout_constraintVertical_bias="0.32"
            >
            <ImageView
                android:id="@+id/jiahao"
                android:layout_width="@dimen/convert_50px"
                android:layout_height="@dimen/convert_50px"
                android:src="@drawable/jiahao"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.5"
                />

            <ImageView
                android:id="@+id/jianhao"
                android:layout_width="@dimen/convert_50px"
                android:layout_height="@dimen/convert_50px"
                android:src="@drawable/jianhao"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintHorizontal_bias="0.5"
                />
        </androidx.constraintlayout.widget.ConstraintLayout>




        <com.develop.common.widget.RingControlView
            android:id="@+id/temp_ring_view"
            android:layout_width="@dimen/convert_270px"
            android:layout_height="@dimen/convert_270px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.32" />

        <com.develop.common.widget.RingControlView
            android:id="@+id/speed_ring_view"
            android:layout_width="@dimen/convert_270px"
            android:layout_height="@dimen/convert_270px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.32" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/temp_ring_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="80°C"
            android:textColor="#E60012"
            android:textSize="@dimen/convert_72px"
            app:layout_constraintBottom_toBottomOf="@+id/temp_ring_view"
            app:layout_constraintEnd_toEndOf="@+id/temp_ring_view"
            app:layout_constraintStart_toStartOf="@+id/temp_ring_view"
            app:layout_constraintTop_toTopOf="@+id/temp_ring_view"
            app:layout_constraintVertical_bias="0.45" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/speed_ring_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="2"
            android:textColor="#E60012"
            android:textSize="@dimen/convert_90px"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/temp_ring_view"
            app:layout_constraintEnd_toEndOf="@+id/temp_ring_view"
            app:layout_constraintStart_toStartOf="@+id/temp_ring_view"
            app:layout_constraintTop_toTopOf="@+id/temp_ring_view"
            app:layout_constraintVertical_bias="0.45" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/temp_ring_text_cooking"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="80°C"
            android:textColor="#FFA627"
            android:textSize="@dimen/convert_30px"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/temp_ring_view"
            app:layout_constraintStart_toStartOf="@+id/temp_ring_view"
            app:layout_constraintTop_toBottomOf="@+id/temp_ring_text" />

        <com.develop.common.widget.TimePickerView
            android:id="@+id/cl_set_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/convert_74px"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@+id/cl_cook_temp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintVertical_bias="0.36"
            app:time_color="@color/color_E60012" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_countdown_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/convert_6px"
            android:text="--05:00--"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_54px"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@+id/cl_set_time"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <com.develop.common.widget.DirectionView
            android:id="@+id/fl_direction"
            android:layout_width="@dimen/convert_250px"
            android:layout_height="@dimen/convert_250px"
            android:layout_marginTop="@dimen/convert_150px"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.develop.common.widget.CookCardView
            android:id="@+id/cl_cook_temp"
            android:layout_width="@dimen/convert_280px"
            android:layout_height="@dimen/convert_140px"
            android:layout_marginTop="@dimen/convert_14px"
            app:cardSelected="true"
            app:cardType="Temperature"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/temp_ring_view" />


        <com.develop.common.widget.CookCardView
            android:id="@+id/cl_cook_time"
            android:layout_width="@dimen/convert_280px"
            android:layout_height="@dimen/convert_140px"
            app:cardType="Cook_time"
            app:layout_constraintEnd_toStartOf="@+id/cl_cook_speed"
            app:layout_constraintStart_toEndOf="@+id/cl_cook_temp"
            app:layout_constraintTop_toTopOf="@+id/cl_cook_temp" />


        <com.develop.common.widget.CookCardView
            android:id="@+id/cl_cook_speed"
            android:layout_width="@dimen/convert_280px"
            android:layout_height="@dimen/convert_140px"
            app:cardType="Speed"
            app:layout_constraintEnd_toStartOf="@+id/cl_cook_direction"
            app:layout_constraintStart_toEndOf="@+id/cl_cook_time"
            app:layout_constraintTop_toTopOf="@+id/cl_cook_temp" />

        <com.develop.common.widget.CookCardView
            android:id="@+id/cl_cook_direction"
            android:layout_width="@dimen/convert_280px"
            android:layout_height="@dimen/convert_140px"
            app:cardType="Direction"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/cl_cook_temp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_start"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_orange_button"
            android:gravity="center"
            android:text="START"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_36px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/btn_reset" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_reset"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_white_stoke"
            android:gravity="center"
            android:text="Reset to default settings"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_36px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/btn_start"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_resume"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_orange_button"
            android:gravity="center"
            android:text="@string/resume"
            android:textColor="@color/white"
            android:textSize="@dimen/convert_36px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_pause"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_orange_button"
            android:gravity="center"
            android:text="@string/pause"
            android:textColor="@color/white"
            android:textSize="@dimen/convert_36px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_stop"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_white_stoke"
            android:gravity="center"
            android:text="@string/stop"
            android:textColor="@color/white"
            android:textSize="@dimen/convert_36px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_confirm"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_orange_button"
            android:gravity="center"
            android:text="@string/confirm"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_36px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_cancel"
            android:layout_width="@dimen/convert_550px"
            android:layout_height="@dimen/convert_98px"
            android:layout_marginBottom="@dimen/convert_50px"
            android:background="@drawable/bg_white_stoke"
            android:gravity="center"
            android:text="@string/cancel"
            android:textColor="@color/white"
            android:textSize="@dimen/convert_36px"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:id="@+id/ll_turbo_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/convert_310px"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_turbo_view"
            android:layout_width="@dimen/convert_200px"
            android:layout_height="@dimen/convert_200px"
            android:layout_centerHorizontal="true"
            android:background="@drawable/ic_turbo_unselected" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/iv_turbo_view"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/convert_47px"
            android:text="@string/press_the_button"
            android:textColor="@color/white"
            android:textSize="@dimen/convert_30px" />
    </RelativeLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ll_weight_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_weight_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="@dimen/convert_42px"
            android:includeFontPadding="false"
            android:text="50g"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_72px"
            app:layout_constraintBottom_toTopOf="@+id/weight_view"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <com.develop.common.widget.WeightView
            android:id="@+id/weight_view"
            android:layout_width="@dimen/convert_740px"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/tv_weight_tare"
            android:layout_width="@dimen/convert_197px"
            android:layout_height="@dimen/convert_80px"
            android:layout_marginBottom="@dimen/convert_58px"
            android:background="@drawable/bg_tare_button"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/tare"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_36px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>